<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FC ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="Host_ABP" Datatype="Int" />
  </Section>
  <Section Name="Output">
    <Member Name="PLC-ABP" Datatype="Word" />
  </Section>
  <Section Name="InOut" />
  <Section Name="Temp">
    <Member Name="ABP" Datatype="Int" />
  </Section>
  <Section Name="Constant" />
  <Section Name="Return">
    <Member Name="Ret_Val" Datatype="Void" />
  </Section>
</Sections></Interface>
      <MemoryLayout>Optimized</MemoryLayout>
      <Name>Host_ABPtoPLC_ABP</Name>
      <Namespace />
      <Number>9100</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="151">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#0</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Vorerst</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="155">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="153">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Host_ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="ADD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>-100</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="JL" />
    <Access Scope="Label">
      <Label Name="Ende" />
    </Access>
  </StlStatement>
  <StlStatement UId="41">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Ende" />
      <LineComment>
        <Text>Platz 0</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="44">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz1" />
      <LineComment>
        <Text>Platz 1</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="47">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz2" />
      <LineComment>
        <Text>Platz 2</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz3" />
      <LineComment>
        <Text>Platz 3</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="53">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz4" />
      <LineComment>
        <Text>Platz 4</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="56">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz5" />
      <LineComment>
        <Text>Platz 5</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz6" />
      <LineComment>
        <Text>Platz 6</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="62">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz7" />
      <LineComment>
        <Text>Platz 7</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="65">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="Platz8" />
      <LineComment>
        <Text>Platz 8</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="68">
    <LabelDeclaration>
      <Label Name="Ende" />
    </LabelDeclaration>
    <StlToken Text="BEU" />
    <LineComment>
      <Text>Undefinierter Platz</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="71">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="30">
    <LabelDeclaration>
      <Label Name="Platz1" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#A500</ConstantValue>
      </Constant>
      <LineComment>
        <Text>PS5</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="75">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="81">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="82">
    <LabelDeclaration>
      <Label Name="Platz2" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#A400</ConstantValue>
      </Constant>
      <LineComment>
        <Text>PS4</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="86">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="88">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="90">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="91">
    <LabelDeclaration>
      <Label Name="Platz3" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#A300</ConstantValue>
      </Constant>
      <LineComment>
        <Text>PS3</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="95">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="97">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="99">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="100">
    <LabelDeclaration>
      <Label Name="Platz4" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#A200</ConstantValue>
      </Constant>
      <LineComment>
        <Text>PS2</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="104">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="106">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="108">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="109">
    <LabelDeclaration>
      <Label Name="Platz5" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#A100</ConstantValue>
      </Constant>
      <LineComment>
        <Text>PS1</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="113">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="115">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="117">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="118">
    <LabelDeclaration>
      <Label Name="Platz6" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#B300</ConstantValue>
      </Constant>
      <LineComment>
        <Text>MPS3</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="122">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="124">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="126">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="127">
    <LabelDeclaration>
      <Label Name="Platz7" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#B200</ConstantValue>
      </Constant>
      <LineComment>
        <Text>MPS2</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="131">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="133">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="135">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="136">
    <LabelDeclaration>
      <Label Name="Platz8" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#B100</ConstantValue>
      </Constant>
      <LineComment>
        <Text>MPS1</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="140">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="PLC-ABP" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="142">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>PLC-ABP ermitteln</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="17" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="18" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="19" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Host-ABP 101->108 umwandeln</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="1A" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FC>
</Document>